# RHEL-7 doesn't have python 3 and does not know about __python2
%if 0%{?rhel} == 7
  %global __python2 %{__python}
  %global python2_sitelib %{python_sitelib}
  %global with_python3 0
%else
  %global with_python3 1
%endif

Name:           python-sphinx-theme-better
Version:        0.1.5
Release:        8%{?dist}
Summary:        A Better Sphinx Theme

License:        BSD
URL:            https://github.com/irskep/sphinx-better-theme
Source0:        https://pypi.python.org/packages/source/s/sphinx-better-theme/sphinx-better-theme-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python2-devel
%if %{with_python3}
BuildRequires:  python3-devel
%endif

Requires:       python-sphinx

%description
This is a modified version of the default Sphinx theme with the following goals:
 * Remove frivolous colors, especially hard-coded ones
 * Improve readability by limiting width and using more whitespace
 * Encourage visual customization through CSS, not themeconf
 * Use semantic markup


%if %{with_python3}
%package -n python3-sphinx-theme-better
Summary:        A Better Sphinx Theme
Requires:       python3-sphinx

%description -n python3-sphinx-theme-better
This is a modified version of the default Sphinx theme with the following goals:
 * Remove frivolous colors, especially hard-coded ones
 * Improve readability by limiting width and using more whitespace
 * Encourage visual customization through CSS, not themeconf
 * Use semantic markup
%endif

%prep
%setup -q -n sphinx-better-theme-%{version}


%build
%{__python2} setup.py build

%if %{with_python3}
%{__python3} setup.py build
%endif


%install
%{__python2} setup.py install --skip-build --root %{buildroot}

%if %{with_python3}
%{__python3} setup.py install --skip-build --root %{buildroot}
%endif


%files
%doc LICENSE Readme.rst
%{python2_sitelib}/*

%if %{with_python3}
%files -n python3-sphinx-theme-better
%doc LICENSE Readme.rst
%{python3_sitelib}/*
%endif


%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.5-7
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue May 13 2014 Bohuslav Kabrda <bkabrda@redhat.com> - 0.1.5-4
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Sun Jan 05 2014 Sandro Mani <manisandro@gmail.com> - 0.1.5-3
- Use pypi source url

* Sun Jan 05 2014 Sandro Mani <manisandro@gmail.com> - 0.1.5-2
- Use %%{__python2} and %%{python2_sitelib}, define these macros for rhel7

* Fri Jan 03 2014 Sandro Mani <manisandro@gmail.com> - 0.1.5-1
- Initial package
